<!DOCTYPE html>
<html lang="hu">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="meteor.css">
  <link href="https://fonts.googleapis.com/css?family=Orbitron" rel="stylesheet">
  <link rel="icon" href="./help/ufo.png">
  <title>M3TEOR | GAME</title>
</head>

<body>
  <section id="main">

    <div id="mainMenu">
      <div class="menuArea">
        <div>
          <h1>M3TEOR</h1>
        </div>
        <div class="buttons">
          <button class="mainAgain">Start Game</button>
        </div>
        <hr>
        <div class="section sct_1">
          <h2>GAME CONTROLS</h2>
          <p><b>LEFT</b> ARROW: Move left, <b>RIGHT</b> ARROW: Move right, <b>SPACE</b>: Fire, <b>P</b> KEY: Pause</p>
          <hr>
        </div>
        <div class="section sct_2">
          <h2>ENEMIES / BOMBS</h2>

          <div class="icons"><img class="pulsate-bck" src="./help/metroid.svg" alt="metroid">
            <p>Metroid. <b>+50</b> extra points.</p>
          </div>
          <div class="icons"><img class="pulsate-bck" src="./help/behold.svg" alt="beholder">
            <p>Beholder. <b>-60</b> points.</p>
          </div>
          <div class="icons"><img src="./help/falling-bomb.svg" alt="falling-bombs"> <img src="./help/bombing-run.svg"
              alt="falling-bombs">
            <p>Rocket & Bombs. <b>+1</b> point if miss you.</p>
          </div>
        </div>
        <hr>
        <div class="thanks">
          <p><b>&#60; BETA VERSION &#62;</b></p>
          <p>I'm a beginner coder, and its'a training project. I was wondering if I could do a simple game in javascript. Maybe
            it did. Enjoy!</p>
            <p>email: <a href="mailto:tmsmajoros@gmail.com">tmsmajoros@gmail.com</a> | My site: <a href="https://smartbeeweb.hu/profilpage/index.html" target="_blank">Maja</a></p>
          <p><b>Special thanks to: </b><a href="http://www.dl-sounds.com" target="_blank">DL SOUNDS</a> for the game
            music's; <a href="https://game-icons.net" target="_blank">Game-icons.net </a>for the fantastic icons; <a
              href="https://howlerjs.com" target="_blank">Howler.js </a>for the fantastic javascript sound library.
            THX!</p>
        </div>

      </div>
    </div>

    <div class="endGameMessage">
      <h1>GAME OVER!</h1>
      <h2>YOUR SCORE</h2>
      <h3 class="score"> 0</h3>
      <div class="">
        <button class="again">New Game</button>
        <button class="main_menu">Main Menu</button>
      </div>
      <div id="ranks">
        <div class="baby">
          <h3>Your Rank: Baby<img src="./ranks/baby-face.svg" alt="baby face"></h3>
        </div>
        <div class="disintegrate">
          <h3>Your Rank: Disintegrator<img src="./ranks/disintegrate.svg" alt="disintegrate"></h3>
        </div>
        <div class="minotaur">
          <h3>Your Rank: Minotaur<img src="./ranks/minotaur.svg" alt="minotaur"></h3>
        </div>
        <div class="goose">
          <h3>Your (chatastrofic) Rank: Goose<img src="./ranks/goose.svg" alt="goose"></h3>
        </div>
      </div>
    </div>

    <section id="universe">

      <div class="sc">
        <h2>Score: <span id="score">0</span></h2>
      </div>

      <div class="lf">
        <h2>Life: <span id="life">0</span></h2>
      </div>

      <div id="paddle"><img src="./monsters/intercept.png" alt=""></div>
      <div id="bullet"><img src="./monsters/shuttlecock.svg" alt=""></div>
      <div id="enemy_1" class="pulsate-bck"><img src="./monsters/metroid2.svg" alt=""></div>
      <div id="enemy_2" class="pulsate-bck"><img src="./monsters/behold2.svg" alt=""></div>
      <div id="bomb_1"><img src="./monsters/falling-bomb.svg" alt=""></div>
      <div id="bomb_2"><img src="./monsters/bombing-run.svg" alt=""></div>
    </section>
  </section>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/howler/2.0.14/howler.core.min.js"></script>
  <script src="meteor.js"></script>
</body>

</html>